# Interface VectorOperators.Unary

All Superinterfaces:
  `VectorOperators.Operator`

Enclosing class:
  `VectorOperators`

public static interface VectorOperators.Unary extends VectorOperators.Operator
Type for all lane-wise unary (one-argument) operators, usable in expressions like `w = v0.``lanewise``(NEG)`.

API Note:
  User code should not implement this interface. A future release of this type may restrict implementations to be members of the same package.

## Method Summary

### Methods declared in interface VectorOperators.Operator

`arity, compatibleWith, isAssociative, isBoolean, name, operatorName, rangeType`